Module
Contents
Index 🔎︎

## WEEKNUM

WEEKNUM calculates the week number of the year for the internal date value.

The International Standard ISO 8601 has decreed that Monday shall be the first day of the week. A week that lies partly in one year and partly in another is assigned a number in the year in which most of its days lie. That means that week number 1 of any year is the week that contains the January 4th.

### Syntax

ISOWEEKNUM(Number)

Number is the internal date number.

### Examples

=ISOWEEKNUM(DATE(1995;1;1)) returns 52. Week 1 starts on Monday, 1995-01-02.

=ISOWEEKNUM(DATE(1999;1;1)) returns 53. Week 1 starts on Monday, 1999-01-04.